using System;
using Unity.VisualScripting;
using UnityEngine;

//Only one should exist at the same time
public class BaseModelBehaviour : ModelBehaviour
{
    public BaseModel baseModel
    {
        get
        {
            if (model is BaseModel bModel)
            {
                return bModel;
            }
            throw new InvalidCastException("model needs to be of type BaseModel");
        }
        set
        {
            model = value;
            
        }
        
    }

     
}